/// McLaren F1LM

'-----------------------------------------------------------------
' 		VEHICLE EFFECTS DEFINITIONS
'-----------------------------------------------------------------

[effects]
specular_hotspot_exponent=55.0
fresnel_scaler=3.0

'-----------------------------------------------------------------
' 		VEHICLE SPLAT SHADOW DEFINITIONS
'-----------------------------------------------------------------

[splatshadow]
scale=1.1

'-----------------------------------------------------------------
' 		VEHICLE WHEEL RENDER OFFFSET DEFINITIONS
'-----------------------------------------------------------------

[wheel_front]
renderoffset=0

[wheel_rear]
renderoffset=-0.01

' 	RED/GREEN/BLUE
' 		0=LOWEST
' 		255=HIGHEST
'
 
' 	SPECULAR EXPONENTS
'		1.0=LOWEST DROP OFF
'		90.0=HIGH DROP OFF
'
[vehicletype]
type=primary

[skin00]
//orange
color_id=orange
specular_red=255
specular_green=147
specular_blue=58
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor0]
paintname=kTxtOrange
painta=255
paintr=255
paintg=125
paintb=19
m_price=0

[skin01]
//red with web by Aris
color_id=red
specular_red=150
specular_green=50
specular_blue=50
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor1]
paintname=kTxtRed
painta=255
paintr=150
paintg=50
paintb=50
m_price=0

[skin02]
//red by Aris
color_id=red
specular_red=150
specular_green=50
specular_blue=50
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor2]
paintname=kTxtRed
painta=255
paintr=150
paintg=50
paintb=50
m_price=0

[skin03]
//gold by Aris
color_id=orange
specular_red=150
specular_green=100
specular_blue=50
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor3]
paintname=kTxtOrange
painta=255
paintr=150
paintg=100
paintb=50
m_price=0

[skin04]
//yellow by Aris
color_id=yellow
specular_red=150
specular_green=150
specular_blue=50
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor4]
paintname=kTxtYellow
painta=255
paintr=150
paintg=150
paintb=50
m_price=0

[skin05]
//green by Aris
color_id=green
specular_red=50
specular_green=150
specular_blue=50
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor5]
paintname=kTxtGreen
painta=255
paintr=50
paintg=150
paintb=50
m_price=0

[skin06]
//dark blue by Aris
color_id=blue
specular_red=50
specular_green=50
specular_blue=100
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor6]
paintname=kTxtBlue
painta=255
paintr=50
paintg=50
paintb=100
m_price=0

[skin07]
//silver by Aris
color_id=gray
specular_red=100
specular_green=100
specular_blue=100
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor7]
paintname=kTxtGray
painta=255
paintr=100
paintg=100
paintb=100
m_price=0

[skin08]
//sky blue by Aris
color_id=blue
specular_red=50
specular_green=75
specular_blue=125
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor8]
paintname=kTxtBlue
painta=255
paintr=50
paintg=75
paintb=125
m_price=0

[skin09]
//gray & green by Aris
color_id=gray
specular_red=100
specular_green=100
specular_blue=100
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor9]
paintname=kTxtGray
painta=255
paintr=100
paintg=100
paintb=100
m_price=0

[skin10]
//yellow & by Aris
color_id=yellow
specular_red=150
specular_green=150
specular_blue=50
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor10]
paintname=kTxtYellow
painta=255
paintr=150
paintg=150
paintb=50
m_price=0

[skin11]
//purple & gray by Aris
color_id=purple
specular_red=125
specular_green=50
specular_blue=125
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

' front end paint swatch
[paintcolor11]
paintname=kTxtPurple
painta=255
paintr=125
paintg=50
paintb=125
m_price=0

[skinhp]
specular_red=200
specular_green=200
specular_blue=10
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0

[skincop]
specular_red=100
specular_green=100
specular_blue=100
specular_paint_exponent=5.0
specular_glass_exponent=40.0
specular_rubber_exponent=60.0
specular_sun_intensity=0


'-----------------------------------------------------------------
' 		VEHICLE LIGHT DEFINITIONS
'-----------------------------------------------------------------


[coplights]
glow_num=2
attach_bone1=LIGHT_TAIL_LEFT1
attach_glow1=6
attach_bone2=LIGHT_TAIL_RIGHT1
attach_glow2=6

[brakelights]
glow_num=2
attach_bone1=LIGHT_TAIL_LEFT1
attach_glow1=3
attach_bone2=LIGHT_TAIL_RIGHT1
attach_glow2=3

[headlights]
glow_num=0

[reverselights]
glow_num=2
attach_bone1=LIGHT_TAIL_LEFT1
attach_glow1=5
attach_bone2=LIGHT_TAIL_RIGHT1
attach_glow2=5


'-----------------------------------------------------------------
' 		VEHICLE LIGHT GLOW DEFINITION 
'-----------------------------------------------------------------

[lightglows]
glow_num=7

[lightglow0]
glow_sizex=1.2
glow_sizey=1.2
glow_red=0
glow_green=0
glow_blue=255
glow_alpha=196
glow_flashfreq=0.13
glow_shape=0003

[lightglow1]
glow_sizex=0.8
glow_sizey=0.8
glow_red=255
glow_green=255
glow_blue=255
glow_alpha=196
glow_flashfreq=0.1
glow_shape=0003

[lightglow2]
glow_sizex=1.2
glow_sizey=1.2
glow_red=255
glow_green=255
glow_blue=255
glow_alpha=196
glow_flashfreq=0.12
glow_shape=0003

[lightglow3]
glow_sizex=0.5
glow_sizey=0.5
glow_red=255
glow_green=0
glow_blue=0
glow_alpha=120
glow_flashfreq=0.0
glow_shape=0003

[lightglow4]
glow_sizex=0.2
glow_sizey=0.2
glow_red=255
glow_green=255
glow_blue=255
glow_alpha=128
glow_flashfreq=0.0
glow_shape=0003

[lightglow5]
glow_sizex=0.2
glow_sizey=0.2
glow_red=255
glow_green=255
glow_blue=255
glow_alpha=128
glow_flashfreq=0.0
glow_shape=0003

[lightglow6]
glow_sizex=1.5
glow_sizey=1.5
glow_red=255
glow_green=0
glow_blue=0
glow_alpha=150
glow_flashfreq=0.15
glow_shape=0003
